from abc import ABC
from enum import Enum


class BaseSensor(ABC):
    def __init__(self, bus: int):
        super().__init__()
        self.bus = smbus.SMBus(bus)

    def humidity(self) -> float:
        pass

    def temperature(self) -> float:
        pass


class SensorType(Enum):
    Si7021 = 'si7021'
    DHT12 = 'dht12'